MeiroDocs

Workspaces

+ Parameters

Section: Group Workspaces. Base URL: https://api.instance_name.meiro.io/.

Workspaces [/workspaces{?limit,offset,order_by,order_dir,name_filter,tag_ids,show_enabled,show_disabled,load_full_structure}]

List All Workspaces [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • name_filter (string, optional) - Workspaces' name filter
    • tag_ids (array, optional) - Workspaces' tags filter
    • show_enabled (bool, optional) - Show enabled workspaces
    • show_disabled (bool, optional) - Show disabled workspaces
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspaces": [
        {
            "id": 100,
            "user_id": 200,
            "name": "example workspace",
            "description": "workspace description",
            "settings": {
                "schedules": [
                    {
                        "minute": "*",
                        "hour": "*",
                        "day": "*",
                        "month": "*",
                        "day_of_week": "*"
                    }
                ],
                "notification_emails": ["mr@foo.test"],
                "delete_data_after_success": true
            },
            "frontend_settings": {},
            "variables": {},
            "dawg_id": 100,
            "input_settings": {
                "inputs": [500, 600]
            },
            "disk_usage": 1024,
            "high_disk_usage": 0,
            "continue_on_failure": 0,
            "disabled": 0,
            "deleted": 0,
            "last_run": "2017-02-01 15:35:00",
            "last_run_duration": 60,
            "last_activity": "2017-03-01 15:35:00",
            "author_id": 400,
            "tags": [],
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "name_filter": null,
        "tag_ids": null,
        "show_enabled": true,
        "show_disabled": true
    }
}

Create a Workspace [POST]

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Attributes

    • name: example workspace (string)
    • settings: {"schedules": [{"minute": "*"}]} (string) - optional (json)
    • description: workspace description (string) - optional
    • disabled: 0 (number) - optional
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "example workspace",
        "description": "workspace description",
        "settings": {
            "schedules": [
                {
                    "minute": "*",
                    "hour": "*",
                    "day": "*",
                    "month": "*",
                    "day_of_week": "*"
                }
            ],
            "notification_emails": ["mr@foo.test"],
            "delete_data_after_success": true
        },
        "frontend_settings": {},
        "variables": {},
        "dawg_id": 100,
        "input_settings": {
            "inputs": [500, 600]
        },
        "disk_usage": 0,
        "high_disk_usage": 0,
        "continue_on_failure": 0,
        "disabled": 0,
        "deleted": 0,
        "created": "2017-01-01 15:35:00"
    }
}

Update multiple workspaces [PATCH]

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

    • Body

[
    {
        "id": 100,
        "dawg_id": 100,
        "workspace_id": 400,
        "name": "workspace name",
        "description": "workspace description",
        "input_settings": {
            "inputs": [500, 600]
        },
        "settings": {},
        "frontend_settings": {},
        "continue_on_failure": 0,
        "disabled": 0,
    }
]
  • Response 200 (application/json)
{
    "workspaces": [
        {
            "id": 100,
            "user_id": 200,
            "name": "example workspace",
            "description": "workspace description",
            "settings": {
                "schedules": [
                    {
                        "minute": "*",
                        "hour": "*",
                        "day": "*",
                        "month": "*",
                        "day_of_week": "*"
                    }
                ],
                "notification_emails": ["mr@foo.test"],
                "delete_data_after_success": true
            },
            "frontend_settings": {},
            "variables": {},
            "dawg_id": 100,
            "input_settings": {
                "inputs": [500, 600]
            },
            "disk_usage": 1024,
            "high_disk_usage": 0,
            "continue_on_failure": 0,
            "disabled": 0,
            "deleted": 0,
            "last_run": "2017-02-01 15:35:00",
            "last_run_duration": 60,
            "last_activity": "2017-03-01 15:35:00",
            "author_id": 400,
            "tags": [],
            "created": "2017-01-01 15:35:00"
        }
    ]
}

Workspace [/workspaces/{workspace_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve a Workspace [GET]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "example workspace",
        "description": "workspace description",
        "settings": {
            "schedules": [
                {
                    "minute": "*",
                    "hour": "*",
                    "day": "*",
                    "month": "*",
                    "day_of_week": "*"
                }
            ],
            "notification_emails": ["mr@foo.test"],
            "delete_data_after_success": true
        },
        "frontend_settings": {},
        "variables": {},
        "dawg_id": 100,
        "input_settings": {
            "inputs": [500, 600]
        },
        "disk_usage": 1024,
        "high_disk_usage": 0,
        "continue_on_failure": 0,
        "disabled": 0,
        "deleted": 0,
        "last_run": "2017-02-01 15:35:00",
        "last_run_duration": 60,
        "last_activity": "2017-03-01 15:35:00",
        "author_id": 400,
        "tags": [],
        "created": "2017-01-01 15:35:00"
    }
}

Modify a Workspace [PATCH]

  • Attributes

    • name: example workspace (string) - optional
    • settings: {} (string) - optional (json)
    • description: workspace description (string) - optional
    • disabled: 0 (number) - optional
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "example workspace",
        "description": "workspace description",
        "settings": {
            "schedules": [
                {
                    "minute": "*",
                    "hour": "*",
                    "day": "*",
                    "month": "*",
                    "day_of_week": "*"
                }
            ],
            "notification_emails": ["mr@foo.test"],
            "delete_data_after_success": true
        },
        "frontend_settings": {},
        "variables": {},
        "dawg_id": 100,
        "input_settings": {
            "inputs": [500, 600]
        },
        "disk_usage": 1024,
        "high_disk_usage": 0,
        "continue_on_failure": 0,
        "disabled": 0,
        "deleted": 0,
        "last_run": "2017-02-01 15:35:00",
        "last_activity": "2017-03-01 15:35:00",
        "author_id": 400,
        "tags": [],
        "created": "2017-01-01 15:35:00"
    }
}

Delete a Workspace [DELETE]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Clone Workspace [POST]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "clone_example workspace",
        "description": "workspace description",
        "settings": {
            "schedules": [
                {
                    "minute": "*",
                    "hour": "*",
                    "day": "*",
                    "month": "*",
                    "day_of_week": "*"
                }
            ],
            "notification_emails": ["mr@foo.test"],
            "delete_data_after_success": true
        },
        "frontend_settings": {},
        "variables": {},
        "dawg_id": 100,
        "input_settings": {
            "inputs": [500, 600]
        },
        "disk_usage": 1024,
        "high_disk_usage": 0,
        "continue_on_failure": 0,
        "disabled": 0,
        "deleted": 0,
        "last_run": "2017-02-01 15:35:00",
        "last_activity": "2017-03-01 15:35:00",
        "author_id": 400,
        "tags": [],
        "created": "2017-01-01 15:35:00"
    }
}

Change Workspace owner [/workspaces/{workspace_id}/owner{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Change Workspace owner [PATCH]

  • Attributes

    • user_id: 0 (number) - required
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "example workspace",
        "description": "workspace description",
        "settings": {
            "schedules": [
                {
                    "minute": "*",
                    "hour": "*",
                    "day": "*",
                    "month": "*",
                    "day_of_week": "*"
                }
            ],
            "notification_emails": ["mr@foo.test"],
            "delete_data_after_success": true
        },
        "frontend_settings": {},
        "variables": {},
        "dawg_id": 100,
        "input_settings": {
            "inputs": [500, 600]
        },
        "disk_usage": 1024,
        "high_disk_usage": 0,
        "continue_on_failure": 0,
        "disabled": 0,
        "deleted": 0,
        "last_run": "2017-02-01 15:35:00",
        "last_activity": "2017-03-01 15:35:00",
        "author_id": 400,
        "tags": [],
        "created": "2017-01-01 15:35:00"
    }
}

Workspace's history list [/workspaces/{workspace_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]

Retrieve a Workspace's History List [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "history_list": [
        {
            "id": null,
            "workspace": {
                "id": 200,
                "user_id": 300,
                "name": "example workspace",
                "description": "workspace description",
                "settings": {},
                "frontend_settings": {},
                "variables": {},
                "dawg_id": 100,
                "input_settings": {
                    "inputs": [500, 600]
                },
                "continue_on_failure": 0,
                "disabled": 0,
                "created": "2017-01-01 15:35:00"
            },
            "previous_history": {
                "id": 100,
                "workspace": {
                    "id": 200,
                    "user_id": 300,
                    "name": "test",
                    "description": "workspace description",
                    "settings": {},
                    "frontend_settings": {},
                    "variables": {},
                    "dawg_id": 100,
                    "input_settings": {
                        "inputs": [500, 600]
                    },
                    "continue_on_failure": 0,
                    "disabled": 0,
                    "created": "2017-01-01 11:35:00"
                }
            }
        },
        {
            "id": "100",
            "workspace": {
                "id": 200,
                "user_id": 300,
                "name": "test",
                "description": "workspace description",
                "settings": {},
                "frontend_settings": {},
                "variables": {},
                "dawg_id": 100,
                "input_settings": {
                    "inputs": [500, 600]
                },
                "continue_on_failure": 0,
                "disabled": 0,
                "created": "2017-01-01 11:35:00"
            }
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Workspace's history item [/workspaces/{workspace_id}/history/{history_id}{?load_full_structure}]

Retrieve a Workspace's History Item [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "history": {
        "id": "100",
        "workspace": {
            "id": 200,
            "user_id": 300,
            "name": "example workspace",
            "description": "workspace description",
            "settings": {},
            "frontend_settings": {},
            "variables": {},
            "dawg_id": 100,
            "input_settings": {
                "inputs": [500, 600]
            },
            "continue_on_failure": 0,
            "disabled": 0,
            "created": "2017-01-01 15:35:00"
        },
        "previous_history": {
            "id": 200,
            "workspace": {
                "id": 200,
                "user_id": 300,
                "name": "test",
                "description": "workspace description",
                "settings": {},
                "frontend_settings": {},
                "variables": {},
                "dawg_id": 100,
                "input_settings": {
                    "inputs": [500, 600]
                },
                "continue_on_failure": 0,
                "disabled": 0,
                "created": "2017-01-01 11:35:00"
            }
        }
    }
}

Revert a Workspace's History Item [PATCH]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "example workspace",
        "description": "workspace description",
        "settings": {},
        "frontend_settings": {},
        "variables": {},
        "dawg_id": 100,
        "input_settings": {
            "inputs": [500, 600]
        },
        "continue_on_failure": 0,
        "disabled": 0,
        "created": "2017-01-01 15:35:00"
    }
}

Trashed Workspaces [/workspaces/trash{?limit,offset,order_by,order_dir,load_full_structure}]

List All Trashed Workspaces [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "trashed_workspaces": [
        {
            "id": 100,
            "user_id": 200,
            "name": "example workspace",
            "description": "workspace description",
            "settings": {
            "schedules": [
                    {
                        "minute": "*",
                        "hour": "*",
                        "day": "*",
                        "month": "*",
                        "day_of_week": "*"
                    }
                ]
            },
            "disabled": 0,
            "deleted": 1,
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Trashed Workspace [/workspaces/trash/{workspace_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Restore a Trashed Workspace [PATCH]

  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace": {
        "id": 100,
        "user_id": 200,
        "name": "example workspace",
        "description": "workspace description",
        "settings": {
            "schedules": [
                {
                    "minute": "*",
                    "hour": "*",
                    "day": "*",
                    "month": "*",
                    "day_of_week": "*"
                }
            ]
        },
        "frontend_settings": {},
        "variables": {},
        "disabled": 0,
        "deleted": 0,
        "created": "2017-01-01 15:35:00"
    }
}

Workspace Jobs [/workspaces/{workspace_id}/jobs{?limit,offset,order_by,order_dir,load_full_structure}]

  • Entity's status possible values: waiting, running, finished, error, canceled

List All Workspace Jobs [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_jobs": [
        {
            "id": 100,
            "user_id": 200,
            "workspace_id": 300,
            "status": "waiting",
            "settings": {},
            "variables": {},
            "dawg_job_id": 400,
            "stats": {
                "data_volumes": {
                    "/in": 10.0,
                    "/out": 20.0
                },
                "files_count": {
                    "/in": 2,
                    "/out": 3
                },
                "statuses_history": {
                    "waiting": "2017-11-04 07:57:12",
                    "running": "2017-11-04 07:57:14",
                    "finished": "2017-11-04 07:57:20",
                }
            },
            "created": "2017-01-01 15:35:00",
            "origin_created": "2017-01-01 15:30:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Run a Workspace Job [POST]

  • Parameters

    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "workspace_job": {
        "id": 100,
        "user_id": 200,
        "workspace_id": 300,
        "status": "waiting",
        "settings": {},
        "dawg_job_id": 400,
        "stats": {
            "data_volumes": {
                "/in": 10.0,
                "/out": 20.0
            },
            "files_count": {
                "/in": 2,
                "/out": 3
            },
            "statuses_history": {
                "waiting": "2017-11-04 07:57:12",
                "running": "2017-11-04 07:57:14",
                "finished": "2017-11-04 07:57:20",
            }
        },
        "created": "2017-01-01 15:35:00"
    }
}

Workspace Job [/workspaces/{workspace_id}/jobs/{job_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve a Workspace Job [GET]

  • Entity's status possible values: waiting, running, finished, error, canceled "variables": {},

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_job": {
        "id": 100,
        "user_id": 200,
        "workspace_id": 300,
        "status": "waiting",
        "settings": {},
        "variables": {},
        "dawg_job_id": 400,
        "stats": {
            "data_volumes": {
                "/in": 10.0,
                "/out": 20.0
            },
            "files_count": {
                "/in": 2,
                "/out": 3
            },
            "statuses_history": {
                "waiting": "2017-11-04 07:57:12",
                "running": "2017-11-04 07:57:14",
                "finished": "2017-11-04 07:57:20",
            }
        },
        "created": "2017-01-01 15:35:00",
        "origin_created": "2017-01-01 15:30:00"
    }
}

Cancel a Workspace Job [DELETE]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "OK"
}

Workspace job's history list [/workspaces/{workspace_id}/jobs/{job_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]

  • Entity's status possible values: waiting, running, finished, error, canceled

Retrieve a Workspace's History List [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "history_list": [
        {
            "id": null,
            "workspace_job": {
                "id": 200,
                "user_id": 300,
                "workspace_id": 300,
                "status": "running",
                "settings": {},
                "variables": {},
                "dawg_job_id": 400,
                "stats": {},
                "created": "2017-01-01 15:35:00"
            },
            "previous_history": {
                "id": 100,
                "workspace_job": {
                    "id": 200,
                    "user_id": 300,
                    "workspace_id": 300,
                    "status": "waiting",
                    "dawg_job_id": 400,
                    "settings": {},
                    "stats": {},
                    "created": "2017-01-01 11:35:00"
                }
            }
        },
        {
            "id": "100",
            "workspace_job": {
                "id": 200,
                "user_id": 300,
                "workspace_id": 300,
                "status": "waiting",
                "settings": {},
                "dawg_job_id": 400,
                "stats": {},
                "created": "2017-01-01 11:35:00"
            }
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Workspace job's history item [/workspaces/{workspace_id}/jobs/{job_id}/history/{history_id}{?load_full_structure}]

  • Entity's status possible values: waiting, running, finished, error, canceled

Retrieve a Workspace job's History Item [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "history": {
        "id": "100",
        "workspace_job": {
            "id": 200,
            "user_id": 300,
            "workspace_id": 300,
            "status": "running",
            "settings": {},
            "dawg_job_id": 400,
            "stats": {},
            "created": "2017-01-01 15:35:00"
        },
        "previous_history": {
            "id": 200,
            "workspace_job": {
                "id": 200,
                "user_id": 300,
                "workspace_id": 300,
                "status": "waiting",
                "settings": {},
                "dawg_job_id": 400,
                "stats": {},
                "created": "2017-01-01 11:35:00"
            }
        }
    }
}

Project Workspace Jobs [/workspace_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_workspaces_jobs}]

  • Entity's status possible values: waiting, running, finished, error, canceled

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
    • include_deleted_workspaces_jobs (number, optional) - Load deleted workspaces' jobs flag

List All Workspace Jobs in a Project [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_jobs": [
        {
            "id": 100,
            "user_id": 200,
            "workspace_id": 300,
            "status": "waiting",
            "settings": {},
            "stats": {},
            "created": "2017-01-01 15:35:00",
            "origin_created": "2017-01-01 15:30:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Dawg Workspace Jobs [/dawgs/{dawg_id}/workspace_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_workspace_jobs}]

  • Entity's status possible values: waiting, running, finished, error, canceled

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
    • include_deleted_workspace_jobs (number, optional) - Load deleted workspaces' jobs flag

List All Workspace Jobs in a Dawg [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_jobs": [
        {
            "id": 100,
            "user_id": 200,
            "workspace_id": 300,
            "dawg_job_id": 400,
            "status": "waiting",
            "settings": {},
            "stats": {},
            "created": "2017-01-01 15:35:00",
            "origin_created": "2017-01-01 15:30:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Dawg Job Workspace Jobs [/dawgs/{dawg_id}/jobs/{job_id}/workspace_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_workspace_jobs}]

  • Entity's status possible values: waiting, running, finished, error, canceled

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
    • include_deleted_workspace_jobs (number, optional) - oad deleted workspaces' jobs flag

List All Workspace Jobs in a Dawg Job [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_jobs": [
        {
            "id": 100,
            "user_id": 200,
            "workspace_id": 300,
            "dawg_job_id": 400,
            "status": "waiting",
            "settings": {},
            "stats": {},
            "created": "2017-01-01 15:35:00",
            "origin_created": "2017-01-01 15:30:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Workspaces' Last Jobs [/workspaces/last_jobs{?workspace_ids,load_full_structure}]

  • Entity's status possible values: waiting, running, finished, error, canceled

  • Parameters

    • workspace_ids (array, optional) - Wanted workspace IDs
    • load_full_structure (number, optional) - Full data structure return flag

List Workspaces' Last Jobs [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "last_workspace_jobs": [
        {
            "workspace_id": 300,
            "last_job": {
                "id": 100,
                "user_id": 200,
                "workspace_id": 300,
                "status": "waiting",
                "settings": {},
                "variables": {},
                "stats": {},
                "created": "2017-01-01 15:35:00",
                "origin_created": "2017-01-01 15:30:00"
            }
        }
    ],
    "selection_settings": {
        "workspace_ids": [300]
    }
}

Workspace Logs [/workspaces/{workspace_id}/jobs/{job_id}/logs{?limit,offset,order_by,order_dir,load_full_structure}]

  • Parameters
    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag

List All Workspace Logs [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_logs": [
        {
            "id": 100,
            "workspace_job_id": 200,
            "level": "info",
            "text": "log text",
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC"
    }
}

Workspace Log [/workspaces/{workspace_id}/jobs/{job_id}/logs/{log_id}{?load_full_structure}]

  • Parameters
    • load_full_structure (number, optional) - Full data structure return flag

Retrieve a Workspace Log [GET]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspace_log": {
        "id": 100,
        "workspace_job_id": 200,
        "level": "info",
        "text": "log text",
        "created": "2017-01-01 15:35:00"
    }
}

Workspace Data [/workspaces/{workspace_id}/data]

Delete Workspace Data [DELETE]

  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "message": "ok"
}

Dawg's Workspaces [/dawgs/{dawg_id}/workspaces{?limit,offset,order_by,order_dir,load_full_structure}]

List All Dawg's Workspaces [GET]

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • load_full_structure (number, optional) - Full data structure return flag
  • Request

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "workspaces": [
        {
            "id": 100,
            "user_id": 200,
            "name": "example workspace",
            "description": "workspace description",
            "settings": {
                "schedules": [
                    {
                        "minute": "*",
                        "hour": "*",
                        "day": "*",
                        "month": "*",
                        "day_of_week": "*"
                    }
                ],
                "notification_emails": ["mr@foo.test"],
                "delete_data_after_success": true
            },
            "frontend_settings": {},
            "variables": {},
            "dawg_id": 100,
            "input_settings": {
                "inputs": [500, 600]
            },
            "disk_usage": 1024,
            "continue_on_failure": 0,
            "disabled": 0,
            "deleted": 0,
            "last_run": "2017-02-01 15:35:00",
            "last_run_duration": 60,
            "last_activity": "2017-03-01 15:35:00",
            "author_id": 400,
            "tags": [],
            "created": "2017-01-01 15:35:00"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
    }
}

On this page

Workspaces [/workspaces{?limit,offset,order_by,order_dir,name_filter,tag_ids,show_enabled,show_disabled,load_full_structure}]List All Workspaces [GET]Create a Workspace [POST]Update multiple workspaces [PATCH]Workspace [/workspaces/{workspace_id}{?load_full_structure}]Retrieve a Workspace [GET]Modify a Workspace [PATCH]Delete a Workspace [DELETE]Clone Workspace [POST]Change Workspace owner [/workspaces/{workspace_id}/owner{?load_full_structure}]Change Workspace owner [PATCH]Workspace's history list [/workspaces/{workspace_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]Retrieve a Workspace's History List [GET]Workspace's history item [/workspaces/{workspace_id}/history/{history_id}{?load_full_structure}]Retrieve a Workspace's History Item [GET]Revert a Workspace's History Item [PATCH]Trashed Workspaces [/workspaces/trash{?limit,offset,order_by,order_dir,load_full_structure}]List All Trashed Workspaces [GET]Trashed Workspace [/workspaces/trash/{workspace_id}{?load_full_structure}]Restore a Trashed Workspace [PATCH]Workspace Jobs [/workspaces/{workspace_id}/jobs{?limit,offset,order_by,order_dir,load_full_structure}]List All Workspace Jobs [GET]Run a Workspace Job [POST]Workspace Job [/workspaces/{workspace_id}/jobs/{job_id}{?load_full_structure}]Retrieve a Workspace Job [GET]Cancel a Workspace Job [DELETE]Workspace job's history list [/workspaces/{workspace_id}/jobs/{job_id}/history{?limit,offset,order_by,order_dir,load_full_structure}]Retrieve a Workspace's History List [GET]Workspace job's history item [/workspaces/{workspace_id}/jobs/{job_id}/history/{history_id}{?load_full_structure}]Retrieve a Workspace job's History Item [GET]Project Workspace Jobs [/workspace_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_workspaces_jobs}]List All Workspace Jobs in a Project [GET]Dawg Workspace Jobs [/dawgs/{dawg_id}/workspace_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_workspace_jobs}]List All Workspace Jobs in a Dawg [GET]Dawg Job Workspace Jobs [/dawgs/{dawg_id}/jobs/{job_id}/workspace_jobs{?limit,offset,order_by,order_dir,load_full_structure,include_deleted_workspace_jobs}]List All Workspace Jobs in a Dawg Job [GET]Workspaces' Last Jobs [/workspaces/last_jobs{?workspace_ids,load_full_structure}]List Workspaces' Last Jobs [GET]Workspace Logs [/workspaces/{workspace_id}/jobs/{job_id}/logs{?limit,offset,order_by,order_dir,load_full_structure}]List All Workspace Logs [GET]Workspace Log [/workspaces/{workspace_id}/jobs/{job_id}/logs/{log_id}{?load_full_structure}]Retrieve a Workspace Log [GET]Workspace Data [/workspaces/{workspace_id}/data]Delete Workspace Data [DELETE]Dawg's Workspaces [/dawgs/{dawg_id}/workspaces{?limit,offset,order_by,order_dir,load_full_structure}]List All Dawg's Workspaces [GET]